diff -Nrc pgsql.orig.8fc4f032818a/src/backend/port/dynloader/solaris.c pgsql.orig/src/backend/port/dynloader/solaris.c
*** pgsql.orig.8fc4f032818a/src/backend/port/dynloader/solaris.c	2009-05-28 11:09:24.874020865 +0200
--- pgsql.orig/src/backend/port/dynloader/solaris.c	2009-05-28 11:09:24.893688008 +0200
***************
*** 5,7 ****
--- 5,11 ----
   *
   * see solaris.h
   */
+ 
+ /* compiler complains about empty unit, let compiler quite */
+ extern int no_such_variable;
+ 
diff -Nrc pgsql.orig.8fc4f032818a/src/backend/postmaster/pgstat.c pgsql.orig/src/backend/postmaster/pgstat.c
*** pgsql.orig.8fc4f032818a/src/backend/postmaster/pgstat.c	2009-05-28 11:09:24.882883806 +0200
--- pgsql.orig/src/backend/postmaster/pgstat.c	2009-05-28 11:09:24.894106321 +0200
***************
*** 662,669 ****
  void
  pgstat_report_stat(bool force)
  {
! 	/* we assume this inits to all zeroes: */
! 	static const PgStat_TableCounts all_zeroes;
  	static TimestampTz last_report = 0;
  
  	TimestampTz now;
--- 662,668 ----
  void
  pgstat_report_stat(bool force)
  {
! 	static const PgStat_TableCounts all_zeroes = {0,0,0,0,0,0,0,0,0,0,0};
  	static TimestampTz last_report = 0;
  
  	TimestampTz now;
***************
*** 795,802 ****
  static void
  pgstat_send_funcstats(void)
  {
! 	/* we assume this inits to all zeroes: */
! 	static const PgStat_FunctionCounts all_zeroes;
  
  	PgStat_MsgFuncstat msg;
  	PgStat_BackendFunctionEntry *entry;
--- 794,800 ----
  static void
  pgstat_send_funcstats(void)
  {
! 	static const PgStat_FunctionCounts all_zeroes = {0,{0,0},{0,0}};
  
  	PgStat_MsgFuncstat msg;
  	PgStat_BackendFunctionEntry *entry;
***************
*** 2548,2555 ****
  void
  pgstat_send_bgwriter(void)
  {
! 	/* We assume this initializes to zeroes */
! 	static const PgStat_MsgBgWriter all_zeroes;
  
  	/*
  	 * This function can be called even if nothing at all has happened. In
--- 2546,2552 ----
  void
  pgstat_send_bgwriter(void)
  {
! 	static const PgStat_MsgBgWriter all_zeroes = { {0,0},0,0,0,0,0,0,0};
  
  	/*
  	 * This function can be called even if nothing at all has happened. In
diff -Nrc pgsql.orig.8fc4f032818a/src/bin/psql/tab-complete.c pgsql.orig/src/bin/psql/tab-complete.c
*** pgsql.orig.8fc4f032818a/src/bin/psql/tab-complete.c	2009-05-28 11:09:24.890322342 +0200
--- pgsql.orig/src/bin/psql/tab-complete.c	2009-05-28 11:09:24.894581639 +0200
***************
*** 557,563 ****
  
  
  /* Forward declaration of functions */
! static char **psql_completion(char *text, int start, int end);
  static char *create_command_generator(const char *text, int state);
  static char *drop_command_generator(const char *text, int state);
  static char *complete_from_query(const char *text, int state);
--- 557,563 ----
  
  
  /* Forward declaration of functions */
! static char **psql_completion(const char *text, int start, int end);
  static char *create_command_generator(const char *text, int state);
  static char *drop_command_generator(const char *text, int state);
  static char *complete_from_query(const char *text, int state);
***************
*** 584,590 ****
  initialize_readline(void)
  {
  	rl_readline_name = (char *) pset.progname;
! 	rl_attempted_completion_function = (void *) psql_completion;
  
  	rl_basic_word_break_characters = "\t\n@$><=;|&{( ";
  
--- 584,590 ----
  initialize_readline(void)
  {
  	rl_readline_name = (char *) pset.progname;
! 	rl_attempted_completion_function = psql_completion;
  
  	rl_basic_word_break_characters = "\t\n@$><=;|&{( ";
  
***************
*** 603,609 ****
     libraries completion_matches() function, so we don't have to worry about it.
  */
  static char **
! psql_completion(char *text, int start, int end)
  {
  	/* This is the variable we'll return. */
  	char	  **matches = NULL;
--- 603,609 ----
     libraries completion_matches() function, so we don't have to worry about it.
  */
  static char **
! psql_completion(const char *text, int start, int end)
  {
  	/* This is the variable we'll return. */
  	char	  **matches = NULL;
diff -Nrc pgsql.orig.8fc4f032818a/src/timezone/zic.c pgsql.orig/src/timezone/zic.c
*** pgsql.orig.8fc4f032818a/src/timezone/zic.c	2009-05-28 11:09:24.893104510 +0200
--- pgsql.orig/src/timezone/zic.c	2009-05-28 11:09:24.894905527 +0200
***************
*** 1531,1537 ****
  	int			timecnt32, timei32;
  	int			pass;
  	static char *fullname;
! 	static const struct tzhead tzh0;
  	static struct tzhead tzh;
  	zic_t		ats[TZ_MAX_TIMES];
  	unsigned char types[TZ_MAX_TIMES];
--- 1531,1537 ----
  	int			timecnt32, timei32;
  	int			pass;
  	static char *fullname;
! 	static const struct tzhead tzh0 = {0,0,0,0,0,0,0,0,0};
  	static struct tzhead tzh;
  	zic_t		ats[TZ_MAX_TIMES];
  	unsigned char types[TZ_MAX_TIMES];
